> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wepayout.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Data Qualification Statuses

> Retrieve all available data qualification statuses

## Status Descriptions

* **1** - Received: Payment received and stored in our database
* **5** - Valid data: The account data is valid
* **6** - Invalid data: Payment rejected by the bank
* **7** - Validation not possible on this step: The account data provided can not be validated
* **9** - Awaiting: Awaiting balance to be processed
* **999** - Processing: Payment sent for processing

## Query Parameters

<ParamField query="per_page" type="integer">
  The number of items that will be displayed per page on paginated lists.

  Min: `0`
</ParamField>

<ParamField query="page" type="integer">
  The current page that will be displayed on paginated lists.

  Min: `0`
</ParamField>

## Response

<ResponseField name="array" type="array">
  Array of status objects.

  <Expandable title="Status Object">
    <ResponseField name="id" type="integer">
      Status ID.

      Example: `1`
    </ResponseField>

    <ResponseField name="name" type="string">
      Status name.

      Example: `received`
    </ResponseField>
  </Expandable>
</ResponseField>

## Request Example

<CodeGroup>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.sandbox.wepayout.com.br/v1/payout/data-qualification/status' \
    --header 'Accept: application/json' \
    --header 'Authorization: Bearer {token}'
  ```

  ```bash cURL - With Pagination theme={null}
  curl --request GET \
    --url 'https://api.sandbox.wepayout.com.br/v1/payout/data-qualification/status?page=1&per_page=10' \
    --header 'Accept: application/json' \
    --header 'Authorization: Bearer {token}'
  ```

  ```javascript JavaScript theme={null}
  async function getDataQualificationStatuses() {
    const response = await fetch(
      'https://api.sandbox.wepayout.com.br/v1/payout/data-qualification/status',
      {
        method: 'GET',
        headers: {
          'Accept': 'application/json',
          'Authorization': 'Bearer {token}'
        }
      }
    );
    
    if (!response.ok) {
      throw new Error(`Failed to fetch statuses: ${response.statusText}`);
    }
    
    return await response.json();
  }

  const statuses = await getDataQualificationStatuses();
  console.log('Available statuses:', statuses);
  ```

  ```python Python theme={null}
  import requests

  def get_data_qualification_statuses():
      url = 'https://api.sandbox.wepayout.com.br/v1/payout/data-qualification/status'
      headers = {
          'Accept': 'application/json',
          'Authorization': 'Bearer {token}'
      }
      
      response = requests.get(url, headers=headers)
      response.raise_for_status()
      
      return response.json()

  statuses = get_data_qualification_statuses()
  print('Available statuses:', statuses)
  ```
</CodeGroup>

<ResponseExample>
  ```json 200 OK theme={null}
  [
    {
      "id": 1,
      "name": "received"
    },
    {
      "id": 5,
      "name": "valid_data"
    },
    {
      "id": 6,
      "name": "invalid_data"
    },
    {
      "id": 7,
      "name": "validation_not_possible"
    },
    {
      "id": 9,
      "name": "awaiting"
    },
    {
      "id": 999,
      "name": "processing"
    }
  ]
  ```
</ResponseExample>
